backend:
  # branch: MVP
  # name: gitlab
  # repo: adam.a.schulz/clcer-hugo-web
  # #auth_type: pkce # Required for pkce
  # app_id: 27a9d03132e291fd00e76ae71b3868c16a048d7b57e1c3adf1ea7d85675485cf # Application ID from your GitLab settings
  name: git-gateway
  local_backend: true
  branch: main
  commit_messages:
    create: 'Create {{collection}} “{{slug}}”'
    update: 'Update {{collection}} “{{slug}}”'
    delete: 'Delete {{collection}} “{{slug}}”'
    uploadMedia: '[skip ci] Upload “{{path}}”'
    deleteMedia: '[skip ci] Delete “{{path}}”'

site_url: https://clcer.netlify.app

publish_mode: editorial_workflow
media_folder: static/img
public_folder: /img
collections:
### BLOG ###
  - name: 'blog'
    label: 'Blog'
    folder: 'content/blog'
    create: true
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    editor:
      preview: false
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Description', name: 'description', widget: 'string' }
      - { label: 'Body', name: 'body', widget: 'markdown' }
### OUR TEAM (PEOPLE) ###
  - name: people
    label: Our Team
    folder: content/team
    create: true
    extension: md
    slug: '{{slug}}'
    identifier_field: personname
    fields:
      - widget: string
        name: personname
        label: Name
        required: true
      - widget: string
        name: email
        label: Email Address
        required: false
      - widget: string
        name: phone
        label: Phone Number of the person
        required: false
        hint: "E.g.: 999.555.9999"
      - widget: image
        name: personimage
        label: Image
        required: false
      - widget: markdown
        name: personprofile
        label: Person Profile
        required: false
      - widget: hidden
        name: template
        label: Template
        required: true
        default: page
    filter:
      field: template
      value: page
  # MINISTRIES
  - name: 'ministries' # Used in routes, ie.: /admin/collections/:slug/edit
    label: 'Ministry' # Used in the UI
    label_singular: 'Ministry' # Used in the UI, ie: "New Post"
    description: >
      The description is a great place for tone setting, high level information, and editing
      guidelines that are specific to a collection.
    folder: 'content/ministries'
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    summary: '{{ministry}} - {{name}}'
    create: true
    identifier_field: name
    # view_filters:
    #   - label: Posts With Index
    #     field: title
    #     pattern: 'This is post #'
    #   - label: Posts Without Index
    #     field: title
    #     pattern: front matter post
    #   - label: Drafts
    #     field: draft
    #     pattern: true
    view_groups:
      - label: Year
        field: date
        pattern: \d{4}
      - label: Drafts
        field: draft
    # adding a nested object will show the collection folder structure
    # nested:
    #   depth: 100 # max depth to show in the collection tree
      #summary: '{{ministry}} {{name}}' # optional summary for a tree node, defaults to the inferred title field
    fields: # The fields each document in this collection have
      - { label: 'Name', name: 'name', widget: 'string', default: 'This is a new ministry' }
      - { label: 'Draft', name: 'draft', widget: 'boolean', default: true }
      # - { label: 'Parent Ministry', name: 'ministry', widget: 'select', required: true, options: ["Adult", "Student", "Care", "Family"] }
      - {
          label: 'Publish Date',
          name: 'date',
          widget: 'datetime',
          date_format: 'YYYY-MM-DD',
          time_format: 'HH:mm',
          format: 'YYYY-MM-DD HH:mm',
        }
      - label: 'Cover Image'
        name: 'image'
        widget: 'image'
        required: false
        tagname: 'ministries'
      # - {label: "Featured Image", name: "thumbnail", widget: "image"}
      - { label: 'Body', name: 'body', widget: 'markdown', hint: 'Main content goes here.' }
